Page MenuHomePhabricator

edje: apply maps to textblock cursors and backgrounds
ClosedPublic

Authored by zmike on Jan 16 2019, 12:28 PM.

Details

Summary

when a map is applied to an edje part, it is expected that all components of
the part respect the map attributes. this requires that, in the case of
textblock parts, all the sub-parts which are internal to the textblock
(entry) object also go through the map populate and apply codepaths

fix T4977
@fix

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jan 16 2019, 12:28 PM
zmike requested review of this revision.Jan 16 2019, 12:28 PM
cedric accepted this revision.Jan 16 2019, 3:02 PM

This make sense and I guess another figment of our lack of tests.

This revision is now accepted and ready to land.Jan 16 2019, 3:02 PM
cedric requested changes to this revision.Jan 16 2019, 3:40 PM

I will have to ask for some change actually.

src/lib/edje/edje_calc.c
5057

My gcc complain that num_cursors can be not initialized. Which is incorrect, but it is an annoying warning. I know you wanted to avoid duplicated line of code, but maybe moving the affectation to inside where it is used with num_cursors being defined will actually be beneficial for more than just the warning. It will in that case also only fill cursor_objs when there is a map and not in other scenario.

This revision now requires changes to proceed.Jan 16 2019, 3:40 PM
zmike updated this revision to Diff 18553.Jan 17 2019, 6:20 AM

initialize variable

cedric accepted this revision.Feb 11 2019, 3:09 PM
This revision is now accepted and ready to land.Feb 11 2019, 3:09 PM
This revision was automatically updated to reflect the committed changes.